package blackjack;

import static org.junit.Assert.*;
import static org.junit.Assert.fail;

import java.util.EnumSet;
import java.util.LinkedList;

import org.junit.Before;
import org.junit.Test;

public class TestGame {
	
	private Dealer d;
	private Player p1;
	

	@Before
	public void initialize() {
		
		this.d = new Dealer();
		this.p1 = new Player("Hansi", d);
	}
	
	@Test
	public void testInitialization() {
		int result = p1.getPunktestand();
		assertEquals(0, result);
	}
	
	@Test
	public void testTakeCard(){
		
		int before = p1.getPunktestand();
		p1.karteFordern();
		int after = p1.getPunktestand();
		if(before>=after)
			fail();
	}
	
	@Test
	public void testIstGemischt(){
		
		LinkedList<Card> nichtGemischt = new LinkedList<Card>(EnumSet.allOf(Card.class));
		nichtGemischt.addAll(nichtGemischt);
		nichtGemischt.addAll(nichtGemischt);
		
		LinkedList<Card> result = d.getKarten();
		
		// Prueft ob Karten gemischt sind. 
		assertNotEquals(nichtGemischt, result);
	}
}
