package blackjack;

import java.util.ArrayList;
import java.util.Collection;

public class Player {

    private String name;
    private Dealer dealer;
    private Collection<Card> handKarten;


    public Player(String name, Dealer dealer){

        this.name = name;
        this.handKarten = new ArrayList<>();
        this.dealer = dealer;
    }

    public void karteFordern(){
        this.handKarten.add(dealer.getCard());
        System.out.println("Player "+this.name+" zieht Karte");
    }

    public int getPunktestand(){

        int i = 0;
        for (Card d : this.handKarten)
            i+=d.getValue();

        return i;
    }

    public boolean hasEnough(){

        if (this.getPunktestand()>17) return true;
        return false;

    }

    public void showCards(){

        this.handKarten.forEach(System.out::println);

    }

    public String getName() {
        return name;
    }
}
